Rensei docs
API ReferenceWorkflows

Create an inbound webhook and reveal its signing secret once.

Create an inbound webhook and reveal its signing secret once. - Rensei REST API operation reference.

POST
/api/workflows/{id}/inbound-webhook

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

id*string
Length1 <= length <= 256

Request Body

application/json
  1. body
triggerId*string
Length1 <= length <= 256
mapping*

Response Body

Created; persist the secret now. Never returned by GET.

application/json
  1. response
id*string
workflowId*string
triggerId*string
mapping*
path*string
secret*string
Example Request
curl -X POST 'https://app.rensei.ai/api/workflows/string/inbound-webhook' \  -H 'Content-Type: application/json' \  -d '{  "triggerId": "string",  "mapping": {    "property1": "string",    "property2": "string"  }}'
Example Response
{  "id": "string",  "workflowId": "string",  "triggerId": "string",  "mapping": {    "property1": "string",    "property2": "string"  },  "path": "string",  "secret": "string"}